- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#body.response_body)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#body.RenderAccountIssuesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#body.aspect)
- [RenderAccountIssuesRequestPayload](https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#RenderAccountIssuesRequestPayload)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#RenderAccountIssuesRequestPayload.SCHEMA_REPRESENTATION)
- [AccountIssue](https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#AccountIssue)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#AccountIssue.SCHEMA_REPRESENTATION)
- [AccountIssueImpact](https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#AccountIssueImpact)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#AccountIssueImpact.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#try-it)

Provide a list of merchant's issues with a support content and available actions. This content and actions are meant to be rendered and shown in third-party applications.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/merchantsupport/renderaccountissues`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the account to fetch issues for. |

### Query parameters

| Parameters ||
|---|---|
| `languageCode` | `string` Optional. The [IETF BCP-47](https://tools.ietf.org/html/bcp47) language code used to localize support content. If not set, the result will be in default language `en-US`. |
| `timeZone` | `string` Optional. The [IANA](https://www.iana.org/time-zones) timezone used to localize times in support content. For example 'America/Los_Angeles'. If not set, results will use as a default UTC. |

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#RenderAccountIssuesRequestPayload`.

### Response body

Response containing support content and actions for listed account issues.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "issues": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#AccountIssue`) } ], "alternateDisputeResolution": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/AlternateDisputeResolution`) } } ``` |

| Fields ||
|---|---|
| `issues[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#AccountIssue`)`` List of account issues for a given account. This list can be shown with compressed, expandable items. In the compressed form, the title and impact should be shown for each issue. Once the issue is expanded, the detailed `https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#AccountIssue.FIELDS.prerendered_content` and available `https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#AccountIssue.FIELDS.actions` should be rendered. |
| `alternateDisputeResolution (deprecated)` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/AlternateDisputeResolution`)`` > [!WARNING] > This item is deprecated! Alternate Dispute Resolution (ADR) is deprecated. Use `prerenderedOutOfCourtDisputeSettlement` instead. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## RenderAccountIssuesRequestPayload

The payload for configuring how the content should be rendered.

| JSON representation |
|---|
| ``` { "contentOption": enum (`https://developers.google.com/shopping-content/reference/rest/v2.1/ContentOption`), "userInputActionOption": enum (`https://developers.google.com/shopping-content/reference/rest/v2.1/UserInputActionRenderingOption`) } ``` |

| Fields ||
|---|---|
| `contentOption` | ``enum (`https://developers.google.com/shopping-content/reference/rest/v2.1/ContentOption`)`` Optional. How the detailed content should be returned. Default option is to return the content as a pre-rendered HTML text. |
| `userInputActionOption` | ``enum (`https://developers.google.com/shopping-content/reference/rest/v2.1/UserInputActionRenderingOption`)`` Optional. How actions with user input form should be handled. If not provided, actions will be returned as links that points merchant to Merchant Center where they can request the action. |

## AccountIssue

An issue affecting specific merchant.

| JSON representation |
|---|
| ``` { "title": string, "impact": { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#AccountIssueImpact`) }, "actions": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Action`) } ], // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "prerenderedContent": string // End of mutually exclusive fields. // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "prerenderedOutOfCourtDisputeSettlement": string // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `title` | `string` Title of the issue. |
| `impact` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#AccountIssueImpact`)`` Clarifies the severity of the issue. The `https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#AccountIssueImpact.FIELDS.message`, if present, should be shown right under the title for each issue. It helps merchants to quickly understand the impact of the issue. The detailed `https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#AccountIssueImpact.FIELDS.breakdowns` helps the merchant to fully understand the impact of the issue. It can be rendered as dialog that opens when the merchant mouse over the summarized impact statement. Issues with different `https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#AccountIssueImpact.FIELDS.severity` can be styled differently. They may use a different color or icon to signal the difference between `ERROR`, `WARNING` and `INFO`. |
| `actions[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Action`)`` A list of actionable steps that can be executed to solve the issue. An example is requesting a re-review or providing arguments when merchant disagrees with the issue. Actions that are supported in (your) third-party application can be rendered as buttons and should be available to merchant when they expand the issue. |
| Detailed content of the issue. Should be shown to the merchant when they expand the issue. The form in which is the content returned is specified with the `https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#RenderAccountIssuesRequestPayload.FIELDS.content_option` request field. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `prerenderedContent` | `string` Details of the issue as a pre-rendered HTML. HTML elements contain CSS classes that can be used to customize the style of the content. Always sanitize the HTML before embedding it directly to your application. The sanitizer needs to allow basic HTML tags, such as: `div`, `span`, `p`, `a`, `ul`, `li`, `table`, `tr`, `td`. For example, you can use [DOMPurify](https://www.npmjs.com/package/dompurify). CSS classes: - `issue-detail` - top level container for the detail of the issue - `callout-banners` - section of the `issue-detail` with callout banners - `callout-banner` - single callout banner, inside `callout-banners` - `callout-banner-info` - callout with important information (default) - `callout-banner-warning` - callout with a warning - `callout-banner-error` - callout informing about an error (most severe) - `issue-content` - section of the `issue-detail`, contains multiple `content-element` - `content-element` - content element such as a list, link or paragraph, inside `issue-content` - `root-causes` - unordered list with items describing root causes of the issue, inside `issue-content` - `root-causes-intro` - intro text before the `root-causes` list, inside `issue-content` - `segment` - section of the text, `span` inside paragraph - `segment-attribute` - section of the text that represents a product attribute, for example 'image_link' - `segment-literal` - section of the text that contains a special value, for example '0-1000 kg' - `segment-bold` - section of the text that should be rendered as bold - `segment-italic` - section of the text that should be rendered as italic - `tooltip` - used on paragraphs that should be rendered with a tooltip. A section of the text in such a paragraph will have a class `tooltip-text` and is intended to be shown in a mouse over dialog. If the style is not used, the `tooltip-text` section would be shown on a new line, after the main part of the text. - `tooltip-text` - marks a section of the text within a `tooltip`, that is intended to be shown in a mouse over dialog. - `tooltip-icon` - marks a section of the text within a `tooltip`, that can be replaced with a tooltip icon, for example '?' or 'i'. By default, this section contains a `br` tag, that is separating the main text and the tooltip text when the style is not used. - `tooltip-style-question` - the tooltip shows helpful information, can use the '?' as an icon. - `tooltip-style-info` - the tooltip adds additional information fitting to the context, can use the 'i' as an icon. - `content-moderation` - marks the paragraph that explains how the issue was identified. - `new-element` - Present for new elements added to the pre-rendered content in the future. To make sure that a new content element does not break your style, you can hide everything with this class. |
| End of mutually exclusive fields. ||
| Out-of-court dispute settlement (ODS) contains a link to a page where merchant can bring their appeal to an [external body](https://support.google.com/european-union-digital-services-act-redress-options/answer/13535501). It may contains a detailed instructions and any values needed for merchant to proceed with their request. The ODS is a part of the EU's Digital Service ACT (DSA). If present, it should be shown to the merchant. The ODS may differ for individual issues and thus it should be by default shown in the detail of the issue. It could be shown next to `https://developers.google.com/shopping-content/reference/rest/v2.1/merchantsupport/renderaccountissues#AccountIssue.FIELDS.actions` for the issue. In some cases the ODS could be the same for all issues in the list. If the values for individual issues do not differ, then the ODS could be shown only once. For example under the list with issues. This is an optional UX improvement. If values differ, then ODS needs to be shown in details of individual issues. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `prerenderedOutOfCourtDisputeSettlement` | `string` Pre-rendered HTML that contains a link to the external location where the ODS can be requested and instructions for how to request it. HTML elements contain CSS classes that can be used to customize the style of this snippet. Always sanitize the HTML before embedding it directly to your application. The sanitizer needs to allow basic HTML tags, such as: `div`, `span`, `p`, `a`, `ul`, `li`, `table`, `tr`, `td`. For example, you can use [DOMPurify](https://www.npmjs.com/package/dompurify). CSS classes: - `ods-section`\* - wrapper around the out-of-court dispute resolution section - `ods-description`\* - intro text for the out-of-court dispute resolution. It may contain multiple segments and a link. - `ods-param`\* - wrapper around the header-value pair for parameters that merchant may need to provide during the ODS process. - `ods-routing-id`\* - ods param for the Routing ID. - `ods-reference-id`\* - ods param for the Routing ID. - `ods-param-header`\* - header for the ODS parameter - `ods-param-value`\* - value of the ODS parameter. This value should be rendered in a way that it is easy for merchants to identify and copy. - `segment` - section of the text, `span` inside paragraph - `segment-attribute` - section of the text that represents a product attribute, for example 'image_link' - `segment-literal` - section of the text that contains a special value, for example '0-1000 kg' - `segment-bold` - section of the text that should be rendered as bold - `segment-italic` - section of the text that should be rendered as italic - `tooltip` - used on paragraphs that should be rendered with a tooltip. A section of the text in such a paragraph will have a class `tooltip-text` and is intended to be shown in a mouse over dialog. If the style is not used, the `tooltip-text` section would be shown on a new line, after the main part of the text. - `tooltip-text` - marks a section of the text within a `tooltip`, that is intended to be shown in a mouse over dialog. - `tooltip-icon` - marks a section of the text within a `tooltip`, that can be replaced with a tooltip icon, for example '?' or 'i'. By default, this section contains a `br` tag, that is separating the main text and the tooltip text when the style is not used. - `tooltip-style-question` - the tooltip shows helpful information, can use the '?' as an icon. - `tooltip-style-info` - the tooltip adds additional information fitting to the context, can use the 'i' as an icon. |
| End of mutually exclusive fields. ||

## AccountIssueImpact

Overall impact of the issue.

| JSON representation |
|---|
| ``` { "message": string, "severity": enum (`https://developers.google.com/shopping-content/reference/rest/v2.1/Severity`), "breakdowns": [ { object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Breakdown`) } ] } ``` |

| Fields ||
|---|---|
| `message` | `string` Optional. Message summarizing the overall impact of the issue. If present, it should be rendered to the merchant. For example: "Disapproves 90k offers in 25 countries" |
| `severity` | ``enum (`https://developers.google.com/shopping-content/reference/rest/v2.1/Severity`)`` The severity of the issue. |
| `breakdowns[]` | ``object (`https://developers.google.com/shopping-content/reference/rest/v2.1/Breakdown`)`` Detailed impact breakdown. Explains the types of restriction the issue has in different shopping destinations and territory. If present, it should be rendered to the merchant. Can be shown as a mouse over dropdown or a dialog. Each breakdown item represents a group of regions with the same impact details. |